Skip to main content
POST
Run one-time prospect search

Path Parameters

platform
string
required

Body

application/json

One-time search payload. importMethod must be a search-flow method returned for the selected platform.

importMethod
string
required

Method ID returned by GET /platforms/{platform}/prospect-import-methods. import_method_id is also accepted.

import_method_id
string

Snake-case alias for importMethod.

title
string
accountId
string
account_id
string

Snake-case alias for accountId.

accountIds
string[]
accounts
string[]
must_contain
string

Search, profile, event, or collection URL for URL-based methods.

searchUrl
string<uri>

Camel-case alias for must_contain.

post_url
string<uri>
profile_url
string<uri>
subreddit_url
string<uri>
company_identifiers
string[]
profile_identifiers
string[]
action
string
must_not_contain
string
order
string
sentiment
string
return
string
same_country
boolean
locations
string[]
credits
integer
Required range: x >= 1
schedule
object

Response

201 - application/json

Prospect search queued

data
object
required